For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact UsDashboard
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • POSTGet OAuth Token
LogoLogo
Contact UsDashboard
API ReferenceOAuth

Get OAuth Token

POST
/oauth/token
POST
/v1/oauth/token
$curl -X POST https://api.ottimate.com/v1/oauth/token \
> -H "X-Api-Key: your-api-key-here" \
> -H "X-API-Version: 1.0.0" \
> -H "Content-Type: application/x-www-form-urlencoded" \
> -d "grant_type=client_credentials" \
> -d "client_id=example_client_id" \
> -d "client_secret=example_client_secret"
1{
2 "access_token": "SomeAccessTokenValue",
3 "token_type": "Bearer",
4 "expires_in": 3600,
5 "scope": "read write"
6}

Exchange credentials for an access token. Supports client_credentials grant type.

Was this page helpful?

Retrieve companies for an account

Next
Built with

Headers

X-Api-KeystringRequired
API key for authentication
X-API-VersionenumOptional

API version to use (optional, defaults to latest)

Allowed values:

Request

OAuth 2.0 parameters
grant_typeenumRequired

Grant type for the request. Must be ‘client_credentials’.

Allowed values:
client_idstringRequired
The client ID issued to the client.
client_secretstringRequired
The client secret issued to the client.
scopestringOptional
The scope of the access request.

Response

Successful token response
access_tokenstring
The access token.
token_typestring

The type of the token (e.g., Bearer).

expires_ininteger
The lifetime in seconds of the access token.
scopestring
The scope of the access token.

Errors

400
Bad Request Error
401
Unauthorized Error